Dear FireBoard users,
In order to further develope the need of Joomla for a robust forum, FireBoard component has been moved to its own new home and new name. You can find more information regarding the Kunena, the successor of FireBoard, at kunena.com. The current forum here will stay for some time more for referencing needs. You can find the FireBoard files under joomlacode.org and other files
Upgrading to Kunena is highly recommended!

Kunena! - To Speak!

A revolution is coming... Kunena - Swahili for: To Speak! THE Next generation of native Joomla based Forum ultra component. Forget what you know about Joomla based forums...
Amazingly Simple Lean and Clean Easier Customization
Kunena is about to redefine the world of Joomla! with the most simplistic ultra component out there. For ultimate performance based on state of the art development techniques, Kunena! is about to bring you... With an integrated plugin system that will allow you to extend Kunena beyond your wildest imaginations...
com_fbconverter 1.0.5 RC2 released
TOPIC: com_fbconverter 1.0.5 RC2 released
#53567
com_fbconverter 1.0.5 RC2 released 9 Years, 2 Months ago  
Next step in the evolution of FireBoard:

In preparation for FireBoard 1.0.5 and 2.0 we are releasing com_fbconverter RC2 (Release Candidate 2). This little converter will take the configuration information of an existing FireBoard install and copy it into a special database table. This allows for fully automatic upgrades going forward.

In order to convert [b]pre[/b] 1.0.5 installations (1.0 to 1.0.4), we have created a little dummy component: com_fbconverter.

This component needs to be installed while a pre 1.0.5 FireBoard install is present. It will look for the existing config file and convert it into a database table. Once successfully installed, the component can be uninstalled right away. It has no other functionality.
The conversion can be repeated as often as required and will simply override the most current database settings with the current content of the config file.

No future releases should require this conversion. This is only a one time conversion from pre 1.0.5 to 1.0.5

The distribution files have been packaged and published: http://joomlacode.org/gf/project/fireboard/frs/

Please give us a hand and test it. The only thing to look for is an #__fb_config table, with the content of the most current config file present. It does not contain the old version number, as we are maintaining a separate version table starting with 1.0.5.

To summarize the use of this config converter:

1.) Make sure you have a pre 1.0.5 version installed on your system (e.g. 1.0.0, 1.0.1, 1.0.2, 1.0.3 or 1.0.4)
2.) Backup - backup - backup
3.) Install com_fbconverter. If everything goes well it should finish without errors and a success message
4.) Uninstall com_fbconverter. It does nothing else besides the initial conversion

That\'s it. Steps 3 and 4 can be repeated as often as desired. It will simply update the database config info with the latest content of the FB config file.

FB 1.0.5NB4 now fully supports the database driven configuration. After you are done converting the config perform the following steps:

5.) Backup - backup - backup
6.) Uninstall the current FireBoard version
7.) Install the lasted FireBoard (1.0.5NB4 & above) version

You can test the converter by simply running it as described and checking your database for a #__fb_config table that should contain the most current settings of your FireBoard install.

Have a great day!
#53567
com_fbconverter 1.0.5 RC2 released 9 Years, 2 Months ago  
Next step in the evolution of FireBoard:

In preparation for FireBoard 1.0.5 and 2.0 we are releasing com_fbconverter RC2 (Release Candidate 2). This little converter will take the configuration information of an existing FireBoard install and copy it into a special database table. This allows for fully automatic upgrades going forward.

In order to convert [b]pre[/b] 1.0.5 installations (1.0 to 1.0.4), we have created a little dummy component: com_fbconverter.

This component needs to be installed while a pre 1.0.5 FireBoard install is present. It will look for the existing config file and convert it into a database table. Once successfully installed, the component can be uninstalled right away. It has no other functionality.
The conversion can be repeated as often as required and will simply override the most current database settings with the current content of the config file.

No future releases should require this conversion. This is only a one time conversion from pre 1.0.5 to 1.0.5

The distribution files have been packaged and published: http://joomlacode.org/gf/project/fireboard/frs/

Please give us a hand and test it. The only thing to look for is an #__fb_config table, with the content of the most current config file present. It does not contain the old version number, as we are maintaining a separate version table starting with 1.0.5.

To summarize the use of this config converter:

1.) Make sure you have a pre 1.0.5 version installed on your system (e.g. 1.0.0, 1.0.1, 1.0.2, 1.0.3 or 1.0.4)
2.) Backup - backup - backup
3.) Install com_fbconverter. If everything goes well it should finish without errors and a success message
4.) Uninstall com_fbconverter. It does nothing else besides the initial conversion

That\'s it. Steps 3 and 4 can be repeated as often as desired. It will simply update the database config info with the latest content of the FB config file.

FB 1.0.5NB4 now fully supports the database driven configuration. After you are done converting the config perform the following steps:

5.) Backup - backup - backup
6.) Uninstall the current FireBoard version
7.) Install the lasted FireBoard (1.0.5NB4 & above) version

You can test the converter by simply running it as described and checking your database for a #__fb_config table that should contain the most current settings of your FireBoard install.

Have a great day!
#53574
Re:com_fbconverter 1.0.5 RC1 released 9 Years, 2 Months ago  
Mad a little mistake posting the right files. Make sure you are testing b47 and not b46 as originally posted.

Thx!
#53586
Re:com_fbconverter 1.0.5 RC1 released 9 Years, 2 Months ago  
Some minor cleanup in build 55. Have been testing this on several production sites by now. Seems to work as designed. Any feedback welcome!
#53588
Re:com_fbconverter 1.0.5 RC1 released 9 Years, 2 Months ago  
Hi I`ve tested the converter on a J1.5.3 & FB 1.0.4 installation and worked fine. The #__fb_config table succesfully created with the configuration data.
Storing the configuration in the database is the best addition to FB :).
#53598
Re:com_fbconverter 1.0.5 RC1 released 9 Years, 2 Months ago  
jos_fb_config table created.
All worked well.

fxstein, any news with my [b]Recent Posts[/b] problem?
My dump is not big, I only have 4 category and 300 messages.
Please take a look.It drives me crazy!
#53645
Re:com_fbconverter 1.0.5 RC1 released 9 Years, 2 Months ago  
Glad it works.

@bescunpui

No I have not had a chance to look at your problem. I put over 40h in FireBoard last week. That\'s above and beyond my full time job. There is only so much racoon and I can get done within a week. I still hope there are more folks willing to contribute.
#53858
Re:com_fbconverter 1.0.5 RC2 released 9 Years, 2 Months ago  
[b]fxstein wrote:[/b]
[quote]Next step in the evolution of FireBoard:

In preparation for FireBoard 1.0.5 and 2.0 we are releasing com_fbconverter RC2 (Release Candidate 2). This little converter will take the configuration information of an existing FireBoard install and copy it into a special database table. This allows for fully automatic upgrades going forward.

In order to convert [b]pre[/b] 1.0.5 installations (1.0 to 1.0.4), we have created a little dummy component: com_fbconverter.

This component needs to be installed while a pre 1.0.5 FireBoard install is present. It will look for the existing config file and convert it into a database table. Once successfully installed, the component can be uninstalled right away. It has no other functionality.
The conversion can be repeated as often as required and will simply override the most current database settings with the current content of the config file.

No future releases should require this conversion. This is only a one time conversion from pre 1.0.5 to 1.0.5

The distribution files have been packaged and published: http://joomlacode.org/gf/project/fireboard/frs/

Please give us a hand and test it. The only thing to look for is an #__fb_config table, with the content of the most current config file present. It does not contain the old version number, as we are maintaining a separate version table starting with 1.0.5.

To summarize the use of this config converter:

1.) Make sure you have a pre 1.0.5 version installed on your system (e.g. 1.0.0, 1.0.1, 1.0.2, 1.0.3 or 1.0.4)
2.) Backup - backup - backup
3.) Install com_fbconverter. If everything goes well it should finish without errors and a success message
4.) Uninstall com_fbconverter. It does nothing else besides the initial conversion

That\'s it. Steps 3 and 4 can be repeated as often as desired. It will simply update the database config info with the latest content of the FB config file.

FB 1.0.5NB4 now fully supports the database driven configuration. After you are done converting the config perform the following steps:

5.) Backup - backup - backup
6.) Uninstall the current FireBoard version
7.) Install the lasted FireBoard (1.0.5NB4 & above) version

You can test the converter by simply running it as described and checking your database for a #__fb_config table that should contain the most current settings of your FireBoard install.

Have a great day![/quote]

Updated for com_fbconverter 1.0.5RC2 and com_fireboard 1.0.5NB4
#55472
Re:com_fbconverter 1.0.5 RC2 released 9 Years, 1 Month ago  
Did as instructed, installed converter, no issues. uninstalled old ver 1.0.4 Failed on uninstall. Fireboard still works but componet is missing in backend. Started the install of the 1.0.5 with error counld not install php file. Any ideas.. Oh and yes I did back up, LOL
#55473
Re:com_fbconverter 1.0.5 RC2 released 9 Years, 1 Month ago  
[b]amorosso wrote:[/b]
[quote]Did as instructed, installed converter, no issues. uninstalled old ver 1.0.4 Failed on uninstall. Fireboard still works but componet is missing in backend. Started the install of the 1.0.5 with error counld not install php file. Any ideas.. Oh and yes I did back up, LOL[/quote]

If 1.0.4 failed to uninstall you most likely have a Joomla permissions issue. FireBoard has no uninstall code. This is purely done by Joomla. What OS/platform are you running on?

If the component is missing in the backend, you will have to manually deleted the components/com_fireboard and administrator/com_fireboard directories and everything in them.

That should fix the problem and will allow you to install the pre-release of 1.0.5
#55475
Re:com_fbconverter 1.0.5 RC2 released 9 Years, 1 Month ago  
Thank you, I\'m using 1.0.15
Page: 12